Bug 1021469 - [RFE] Support ability to share mod_proxy with other SSL providers
[RFE] Support ability to share mod_proxy with other SSL providers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mod_nss (Show other bugs)
20
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 805720 835071
Blocks: 791327 881827 1021458
  Show dependency treegraph
 
Reported: 2013-10-21 07:13 EDT by Martin Kosek
Modified: 2014-05-12 09:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 835071
Environment:
Last Closed: 2014-05-12 09:57:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2013-10-21 07:13:57 EDT
Description of problem:

mod_proxy provides a single hook for providing SSL services but there are two SSL engines available in Apache.

Currently mod_ssl always registers these hooks. mod_nss will register them if they are free.

This means that if the mod_ssl module is loaded in Apache at all, even if it isn't configured, then mod_proxy is unavailable to mod_nss.

We need some negotiation mechanism where both SSL engines can be support simultaneously.

When this capability is added to mod_proxy and mod_ssl it should be added to mod_nss as well so they can cooperate.
Comment 1 Matthew Harmsen 2013-10-23 17:08:43 EDT
This bug has been addressed by the patch called 'mod_nss-sslmultiproxy_2.patch'.
Comment 2 Fedora Update System 2013-10-24 17:14:03 EDT
mod_nss-1.0.8-24.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc18
Comment 3 Fedora Update System 2013-10-24 17:25:26 EDT
mod_nss-1.0.8-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc19
Comment 4 Fedora Update System 2013-10-24 17:39:35 EDT
mod_nss-1.0.8-24.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc20
Comment 5 Fedora Update System 2013-11-06 02:35:25 EST
mod_nss-1.0.8-24.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-06 02:37:39 EST
mod_nss-1.0.8-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-10 02:18:17 EST
mod_nss-1.0.8-24.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.